aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2017-02-02 20:56:09 -0600
committerMatthias Maier <tamiko@gentoo.org>2017-02-02 20:56:09 -0600
commit92cd02cf3255140444a2d439b4f97da2f4bc55f9 (patch)
treecc38dd930021d38b9d50d121717ab1f025ca8bb5 /virtual/blas/blas-3.7-r100.ebuild
parentsci-libs/cblas-reference: version bump to 20161223 (3.7.0) (diff)
downloadsci-92cd02cf3255140444a2d439b4f97da2f4bc55f9.tar.gz
sci-92cd02cf3255140444a2d439b4f97da2f4bc55f9.tar.bz2
sci-92cd02cf3255140444a2d439b4f97da2f4bc55f9.zip
virtual/blas: bump to 3.7
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'virtual/blas/blas-3.7-r100.ebuild')
-rw-r--r--virtual/blas/blas-3.7-r100.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/virtual/blas/blas-3.7-r100.ebuild b/virtual/blas/blas-3.7-r100.ebuild
new file mode 100644
index 000000000..eb6b59bff
--- /dev/null
+++ b/virtual/blas/blas-3.7-r100.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build multilib
+
+DESCRIPTION="Virtual for FORTRAN 77 BLAS implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64"
+
+RDEPEND="
+ !app-eselect/eselect-blas
+ || (
+ >=sci-libs/blas-reference-20161223-r100[int64?,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64?,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64?,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+ abi_x86_64? (
+ !abi_x86_32? (
+ || (
+ >=dev-cpp/eigen-3.1.4
+ sci-libs/atlas[fortran]
+ >=sci-libs/acml-4.4
+ )
+ )
+ )
+ )
+ doc? ( >=app-doc/blas-docs-3.2 )
+ int64? (
+ || (
+ sci-libs/blas-reference[int64,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64,${MULTILIB_USEDEP}]
+ )
+ )
+"
+DEPEND=""
+
+pkg_pretend() {
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ ewarn "You have still the old ${PN} library symlink present"
+ ewarn "Please delete"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "to avoid problems with new ${PN} structure"
+ die "Old lib${PN} detected"
+ fi
+}